## org.springframework.web.bind
Class EscapedErrors

    java.lang.Object
      org.springframework.web.bind.EscapedErrors

All Implemented Interfaces:
  Errors

    public class EscapedErrors

extends Object
implements Errors

Errors wrapper that adds automatic HTML escaping to the wrapped instance, for convenient usage in HTML views. Can be retrieved easily via RequestContext's `getErrors` method.

Note that BindTag does not use this class to avoid unnecessary creation of ObjectError instances. It just escapes the messages and values that get copied into the respective BindStatus instance.

Since:
  01.03.2003
Author:
  Juergen Hoeller
See Also:
  `RequestContext.getErrors(java.lang.String)`, `BindTag`

Field Summary

Fields inherited from interface org.springframework.validation.Errors
`NESTED_PATH_SEPARATOR`

Constructor Summary
`EscapedErrors(Errors source)` Create a new EscapedErrors instance for the given source instance.

Method Summary
`void` `addAllErrors(Errors errors)` Add all errors from the given `Errors` instance to this `Errors` instance.
`List` `getAllErrors()` Get all errors, both global and field ones.
`int` `getErrorCount()` Return the total number of errors.
`FieldError` `getFieldError()` Get the first error associated with a field, if any.
`FieldError` `getFieldError(String field)` Get the first error associated with the given field, if any.
`int` `getFieldErrorCount()` Return the number of errors associated with a field.
`int` `getFieldErrorCount(String field)` Return the number of errors associated with the given field.
`List` `getFieldErrors()` Get all errors associated with a field.
`List` `getFieldErrors(String field)` Get all errors associated with the given field.
`Class` `getFieldType(String field)` Return the type of a given field.
`Object` `getFieldValue(String field)` Return the current value of the given field, either the current bean property value or a rejected update from the last binding.
`ObjectError` `getGlobalError()` Get the first global error, if any.
`int` `getGlobalErrorCount()` Return the number of global errors.
`List` `getGlobalErrors()` Get all global errors.
`String` `getNestedPath()` Return the current nested path of this `Errors` object.
`String` `getObjectName()` Return the name of the bound root object.
`Errors` `getSource()`
`boolean` `hasErrors()` Return if there were any errors.
`boolean` `hasFieldErrors()` Are there any field errors?
`boolean` `hasFieldErrors(String field)` Are there any errors associated with the given field?
`boolean` `hasGlobalErrors()` Are there any global errors?
`void` `popNestedPath()` Pop the former nested path from the nested path stack.
`void` `pushNestedPath(String subPath)` Push the given sub path onto the nested path stack.
`void` `reject(String errorCode)` Register a global error for the entire target object, using the given error description.
`void` `reject(String errorCode, Object[] errorArgs, String defaultMessage)` Register a global error for the entire target object, using the given error description.
`void` `reject(String errorCode, String defaultMessage)` Register a global error for the entire target object, using the given error description.
`void` `rejectValue(String field, String errorCode)` Register a field error for the specified field of the current object (respecting the current nested path, if any), using the given error description.
`void` `rejectValue(String field, String errorCode, Object[] errorArgs, String defaultMessage)` Register a field error for the specified field of the current object (respecting the current nested path, if any), using the given error description.
`void` `rejectValue(String field, String errorCode, String defaultMessage)` Register a field error for the specified field of the current object (respecting the current nested path, if any), using the given error description.
`void` `setNestedPath(String nestedPath)` Allow context to be changed so that standard validators can validate subtrees.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### EscapedErrors

    public EscapedErrors(Errors source)

  Create a new EscapedErrors instance for the given source instance.

Method Detail

### getSource

    public Errors getSource()

### getObjectName

    public String getObjectName()

  Description copied from interface: `Errors`
  Return the name of the bound root object.

  Specified by:
    `getObjectName` in interface `Errors`

### setNestedPath

    public void setNestedPath(String nestedPath)

  Description copied from interface: `Errors`
  Allow context to be changed so that standard validators can validate subtrees. Reject calls prepend the given path to the field names.

  For example, an address validator could validate the subobject "address" of a customer object.

  Specified by:
    `setNestedPath` in interface `Errors`
  Parameters:
    `nestedPath` - nested path within this object, e.g. "address" (defaults to "", `null` is also acceptable). Can end with a dot: both "address" and "address." are valid.

### getNestedPath

    public String getNestedPath()

  Description copied from interface: `Errors`
  Return the current nested path of this `Errors` object.

  Returns a nested path with a dot, i.e. "address.", for easy building of concatenated paths. Default is an empty String.

  Specified by:
    `getNestedPath` in interface `Errors`

### pushNestedPath

    public void pushNestedPath(String subPath)

  Description copied from interface: `Errors`
  Push the given sub path onto the nested path stack.

  A `Errors.popNestedPath()` call will reset the original nested path before the corresponding `pushNestedPath(String)` call.

  Using the nested path stack allows to set temporary nested paths for subobjects without having to worry about a temporary path holder.

  For example: current path "spouse.", pushNestedPath("child") -> result path "spouse.child."; popNestedPath() -> "spouse." again.

  Specified by:
    `pushNestedPath` in interface `Errors`
  Parameters:
    `subPath` - the sub path to push onto the nested path stack
  See Also:
    `Errors.popNestedPath()`

### popNestedPath

    public void popNestedPath()
                       throws IllegalStateException

  Description copied from interface: `Errors`
  Pop the former nested path from the nested path stack.

  Specified by:
    `popNestedPath` in interface `Errors`
  Throws:
    `IllegalStateException` - if there is no former nested path on the stack
  See Also:
    `Errors.pushNestedPath(java.lang.String)`

### reject

    public void reject(String errorCode)

  Description copied from interface: `Errors`
  Register a global error for the entire target object, using the given error description.

  Specified by:
    `reject` in interface `Errors`
  Parameters:
    `errorCode` - error code, interpretable as a message key

### reject

    public void reject(String errorCode,
                       String defaultMessage)

  Description copied from interface: `Errors`
  Register a global error for the entire target object, using the given error description.

  Specified by:
    `reject` in interface `Errors`
  Parameters:
    `errorCode` - error code, interpretable as a message key
    `defaultMessage` - fallback default message

### reject

    public void reject(String errorCode,
                       Object[] errorArgs,
                       String defaultMessage)

  Description copied from interface: `Errors`
  Register a global error for the entire target object, using the given error description.

  Specified by:
    `reject` in interface `Errors`
  Parameters:
    `errorCode` - error code, interpretable as a message key
    `errorArgs` - error arguments, for argument binding via MessageFormat (can be `null`)
    `defaultMessage` - fallback default message

### rejectValue

    public void rejectValue(String field,
                            String errorCode)

  Description copied from interface: `Errors`
  Register a field error for the specified field of the current object (respecting the current nested path, if any), using the given error description.

  The field name may be `null` or empty String to indicate the current object itself rather than a field of it. This may result in a corresponding field error within the nested object graph or a global error if the current object is the top object.

  Specified by:
    `rejectValue` in interface `Errors`
  Parameters:
    `field` - the field name (may be `null` or empty String)
    `errorCode` - error code, interpretable as a message key
  See Also:
    `Errors.getNestedPath()`

### rejectValue

    public void rejectValue(String field,
                            String errorCode,
                            String defaultMessage)

  Description copied from interface: `Errors`
  Register a field error for the specified field of the current object (respecting the current nested path, if any), using the given error description.

  The field name may be `null` or empty String to indicate the current object itself rather than a field of it. This may result in a corresponding field error within the nested object graph or a global error if the current object is the top object.

  Specified by:
    `rejectValue` in interface `Errors`
  Parameters:
    `field` - the field name (may be `null` or empty String)
    `errorCode` - error code, interpretable as a message key
    `defaultMessage` - fallback default message
  See Also:
    `Errors.getNestedPath()`

### rejectValue

    public void rejectValue(String field,
                            String errorCode,
                            Object[] errorArgs,
                            String defaultMessage)

  Description copied from interface: `Errors`
  Register a field error for the specified field of the current object (respecting the current nested path, if any), using the given error description.

  The field name may be `null` or empty String to indicate the current object itself rather than a field of it. This may result in a corresponding field error within the nested object graph or a global error if the current object is the top object.

  Specified by:
    `rejectValue` in interface `Errors`
  Parameters:
    `field` - the field name (may be `null` or empty String)
    `errorCode` - error code, interpretable as a message key
    `errorArgs` - error arguments, for argument binding via MessageFormat (can be `null`)
    `defaultMessage` - fallback default message
  See Also:
    `Errors.getNestedPath()`

### addAllErrors

    public void addAllErrors(Errors errors)

  Description copied from interface: `Errors`
  Add all errors from the given `Errors` instance to this `Errors` instance.

  This is a onvenience method to avoid repeated `reject(..)` calls for merging an `Errors` instance into another `Errors` instance.

  Note that the passed-in `Errors` instance is supposed to refer to the same target object, or at least contain compatible errors that apply to the target object of this `Errors` instance.

  Specified by:
    `addAllErrors` in interface `Errors`
  Parameters:
    `errors` - the `Errors` instance to merge in

### hasErrors

    public boolean hasErrors()

  Description copied from interface: `Errors`
  Return if there were any errors.

  Specified by:
    `hasErrors` in interface `Errors`

### getErrorCount

    public int getErrorCount()

  Description copied from interface: `Errors`
  Return the total number of errors.

  Specified by:
    `getErrorCount` in interface `Errors`

### getAllErrors

    public List getAllErrors()

  Description copied from interface: `Errors`
  Get all errors, both global and field ones.

  Specified by:
    `getAllErrors` in interface `Errors`
  Returns:
    List of `ObjectError` instances

### hasGlobalErrors

    public boolean hasGlobalErrors()

  Description copied from interface: `Errors`
  Are there any global errors?

  Specified by:
    `hasGlobalErrors` in interface `Errors`
  Returns:
    `true` if there are any global errors
  See Also:
    `Errors.hasFieldErrors()`

### getGlobalErrorCount

    public int getGlobalErrorCount()

  Description copied from interface: `Errors`
  Return the number of global errors.

  Specified by:
    `getGlobalErrorCount` in interface `Errors`
  Returns:
    the number of global errors
  See Also:
    `Errors.getFieldErrorCount()`

### getGlobalErrors

    public List getGlobalErrors()

  Description copied from interface: `Errors`
  Get all global errors.

  Specified by:
    `getGlobalErrors` in interface `Errors`
  Returns:
    List of ObjectError instances

### getGlobalError

    public ObjectError getGlobalError()

  Description copied from interface: `Errors`
  Get the first global error, if any.

  Specified by:
    `getGlobalError` in interface `Errors`
  Returns:
    the global error, or `null`

### hasFieldErrors

    public boolean hasFieldErrors()

  Description copied from interface: `Errors`
  Are there any field errors?

  Specified by:
    `hasFieldErrors` in interface `Errors`
  Returns:
    `true` if there are any errors associated with a field
  See Also:
    `Errors.hasGlobalErrors()`

### getFieldErrorCount

    public int getFieldErrorCount()

  Description copied from interface: `Errors`
  Return the number of errors associated with a field.

  Specified by:
    `getFieldErrorCount` in interface `Errors`
  Returns:
    the number of errors associated with a field
  See Also:
    `Errors.getGlobalErrorCount()`

### getFieldErrors

    public List getFieldErrors()

  Description copied from interface: `Errors`
  Get all errors associated with a field.

  Specified by:
    `getFieldErrors` in interface `Errors`
  Returns:
    a List of `FieldError` instances

### getFieldError

    public FieldError getFieldError()

  Description copied from interface: `Errors`
  Get the first error associated with a field, if any.

  Specified by:
    `getFieldError` in interface `Errors`
  Returns:
    the field-specific error, or `null`

### hasFieldErrors

    public boolean hasFieldErrors(String field)

  Description copied from interface: `Errors`
  Are there any errors associated with the given field?

  Specified by:
    `hasFieldErrors` in interface `Errors`
  Parameters:
    `field` - the field name
  Returns:
    `true` if there were any errors associated with the given field

### getFieldErrorCount

    public int getFieldErrorCount(String field)

  Description copied from interface: `Errors`
  Return the number of errors associated with the given field.

  Specified by:
    `getFieldErrorCount` in interface `Errors`
  Parameters:
    `field` - the field name
  Returns:
    the number of errors associated with the given field

### getFieldErrors

    public List getFieldErrors(String field)

  Description copied from interface: `Errors`
  Get all errors associated with the given field.

  Implementations should support not only full field names like "name" but also pattern matches like "na*" or "address.*".

  Specified by:
    `getFieldErrors` in interface `Errors`
  Parameters:
    `field` - the field name
  Returns:
    a List of `FieldError` instances

### getFieldError

    public FieldError getFieldError(String field)

  Description copied from interface: `Errors`
  Get the first error associated with the given field, if any.

  Specified by:
    `getFieldError` in interface `Errors`
  Parameters:
    `field` - the field name
  Returns:
    the field-specific error, or `null`

### getFieldValue

    public Object getFieldValue(String field)

  Description copied from interface: `Errors`
  Return the current value of the given field, either the current bean property value or a rejected update from the last binding.

  Allows for convenient access to user-specified field values, even if there were type mismatches.

  Specified by:
    `getFieldValue` in interface `Errors`
  Parameters:
    `field` - the field name
  Returns:
    the current value of the given field

### getFieldType

    public Class getFieldType(String field)

  Description copied from interface: `Errors`
  Return the type of a given field.

  Implementations should be able to determine the type even when the field value is `null`, for example from some associated descriptor.

  Specified by:
    `getFieldType` in interface `Errors`
  Parameters:
    `field` - the field name
  Returns:
    the type of the field, or `null` if not determinable

Copyright © 2002-2008 The Spring Framework.